Bug 2222631 - F39FailsToInstall: ocaml-camlp5, ocaml-camlp5-devel
Summary: F39FailsToInstall: ocaml-camlp5, ocaml-camlp5-devel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-camlp5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2221319 2221320
Blocks: F39FailsToInstall F40FailsToInstall 2226113
TreeView+ depends on / blocked
 
Reported: 2023-07-13 11:31 UTC by Fedora Fails To Install
Modified: 2023-08-15 18:18 UTC (History)
4 users (show)

Fixed In Version: ocaml-camlp5-8.02.00-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-15 18:18:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-07-13 11:31:59 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (ocaml-camlp5) Fails To Install in Fedora 39:

can't install ocaml-camlp5:
  - nothing provides ocaml(CamlinternalFormatBasics) = 8f8f634558798ee408df3c50a5539b15 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib) = 79b0e9d3b6f7fed07eb3cc2abb961b91 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Either) = 26845df28d19584687a38a1ab814c3f9 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Seq) = b63511032211eae4b567ba313cd72962 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__List) = ee222542f6f8195441543b8b399b64b9 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Buffer) = 4b09c9a6d0622bbf5a3829234b481822 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Uchar) = c0dde02a556a6d79e363ad365d165d57 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__String) = 097838f294457ecbb61ccbcf86cc6972 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Hashtbl) = 34c0fdd524bf2a75e4d5af64a6d34401 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Int32) = a71ea5238030770647165f659f80b1ab needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Int64) = 0fa5587c47baf16a06837c7dedfc2518 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Printf) = bc8af6214197dc8f40eaa738a4cd6a28 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Printexc) = ae914d0568e8b6e482a66bbd62a4432f needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Array) = 622d88fad859d0d0f019e691fc4fa865 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Nativeint) = 989149bf8f2ce1a89fecbc3f5f40f52c needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Obj) = 25794d29f7f4018768ea900e331a2bf3 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Bytes) = 3d02c33317c0108c61e7a5eefa37519a needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Filename) = 3bcff250dd30a0e620fa7546882aaadf needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Format) = b6edb97b685819e873481fe05723c8bc needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Lexing) = c9318c276ac7e383fd682c2dd06be434 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(CamlinternalLazy) = 5365fec4a58da3e2d8fa2186f77d9be4 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Lazy) = 01430d340c028322c7247031a874e355 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Set) = 871d2ee2167ac9e7977fa13994cf4658 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Sys) = 7726a14ce36f5c6c3abb04975cec748b needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Gc) = c3ec15218bd26e175e6d959e216eb39a needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Location) = ad05a11c5350a8043d12b4819575b03b needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Longident) = dddbcb2c78e865fd75e9911c4b82a7e2 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Arg) = 04b768df3893b886dc494cea56b4aa5f needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Char) = 62afe57b49defcc078960a68b9efbbee needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Stream) = 510a78f010f6c530a911189d7538d002 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Warnings) = 1c10e6007aca64cda69b6b055565b124 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Map) = 978f82916b5a172c11d2b72719d85680 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Parsing) = bb5f62fa906224c917383a27d025e251 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Result) = f99939d3b32a26a59a2f4df0b6b2e60a needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Dynlink) = b542e5672ad42f5b838f58913ba15456 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Outcometree) = 674374723cd44ac1194584799175f801 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Pprintast) = 22cabe006fee76267d0ac0ee6b9c34e1 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Digest) = 61f6495d3274a42a78a63425ef892290 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Type_immediacy) = 64565e32358a6229bf90cc93d486536a needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Build_path_prefix_map) = c087ed78089388f4d3a99676f2c10fc4 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Cmi_format) = 77a1c8f1e0d22ce55ab6c81760c7b8d6 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Env) = 0a6451d38f2684902476a54801d89f8b needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Ident) = a68d3b48cf66f01c3af823a07d101708 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Identifiable) = 026dfc8fdbcf370a975e554be578d5a5 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Load_path) = 8e616f4485805b33a8219ec934a7859a needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Misc) = 9d0e49da1703d17dc3043e52bca13fe5 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Path) = c74c2553734e7c86ab23c6946a08a019 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Primitive) = 8cd5b518055f39c57cb5bfdd62b072c1 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Shape) = a7485b44c054c48b77a4c0546f654051 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Float) = e5199b4531d56abc9fff4ae96c2acff4 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Fun) = 115c0563d80d54e1e845b108f10caa33 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Int) = 9ce5bca90faa4722bb0d4655ac2e9836 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Option) = 121a6090f31f70c9d5bfa04e995b96ba needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Subst) = 428159e3773e2a53757d43066bcfca7f needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Topdirs) = 895b140490a1769cb31ff36fb54760b8 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Toploop) = 1fa2e1c3d62a6ba74f5b2f24210b7277 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Types) = 6c92ac95b66d8794b63f94c688fe1688 needed by ocaml-camlp5-8.00.03-4.fc38.x86_64
  
can't install ocaml-camlp5-devel:
  - nothing provides ocaml(CamlinternalFormatBasics) = 8f8f634558798ee408df3c50a5539b15 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib) = 79b0e9d3b6f7fed07eb3cc2abb961b91 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Either) = 26845df28d19584687a38a1ab814c3f9 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Seq) = b63511032211eae4b567ba313cd72962 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__List) = ee222542f6f8195441543b8b399b64b9 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Buffer) = 4b09c9a6d0622bbf5a3829234b481822 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Uchar) = c0dde02a556a6d79e363ad365d165d57 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__String) = 097838f294457ecbb61ccbcf86cc6972 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Hashtbl) = 34c0fdd524bf2a75e4d5af64a6d34401 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Int32) = a71ea5238030770647165f659f80b1ab needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Int64) = 0fa5587c47baf16a06837c7dedfc2518 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Printf) = bc8af6214197dc8f40eaa738a4cd6a28 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Printexc) = ae914d0568e8b6e482a66bbd62a4432f needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Array) = 622d88fad859d0d0f019e691fc4fa865 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Nativeint) = 989149bf8f2ce1a89fecbc3f5f40f52c needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Obj) = 25794d29f7f4018768ea900e331a2bf3 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Bytes) = 3d02c33317c0108c61e7a5eefa37519a needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Filename) = 3bcff250dd30a0e620fa7546882aaadf needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Format) = b6edb97b685819e873481fe05723c8bc needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Lexing) = c9318c276ac7e383fd682c2dd06be434 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib) = 29fc6b4fd90dc91235156e20d0575996 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__List) = 75bce4c751643e407b6e75caf60b9db7 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__String) = 16f00be18fe41d5b5f3bc6b9bf6629df needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(CamlinternalLazy) = 5365fec4a58da3e2d8fa2186f77d9be4 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Lazy) = 01430d340c028322c7247031a874e355 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Set) = 871d2ee2167ac9e7977fa13994cf4658 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Sys) = 7726a14ce36f5c6c3abb04975cec748b needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Printf) = 5637860688f82d7f837407cfaf0a6fae needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Hashtbl) = c60c5e9b84ec15b69584c299944d0abb needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Int64) = 371b761429600b4a3480435d7bb83c8a needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Printexc) = 92fa2375a865927827b95a710fd8db2b needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Location) = ad05a11c5350a8043d12b4819575b03b needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Longident) = dddbcb2c78e865fd75e9911c4b82a7e2 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Arg) = 04b768df3893b886dc494cea56b4aa5f needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Char) = 62afe57b49defcc078960a68b9efbbee needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Stdlib__Stream) = 510a78f010f6c530a911189d7538d002 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Warnings) = 1c10e6007aca64cda69b6b055565b124 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Array) = bb1212fc50265efb994301edbd2f0ecc needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Buffer) = 673e1a9feee4c24aeb62fe0f3e3ec4ad needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Bytes) = 332b036c618456adadc97ebc4c0edd44 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Filename) = d28509257398356aab9aed2edf11d6cb needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Int32) = 92cf9826d556878104ed3545f31b55b5 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Lexing) = 4ba20253768aee73219c565dee7243bd needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Nativeint) = 8109e6c2617004bba1644678316b2d57 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Set) = 9d41b0f6935651fa2b340a0986078a0a needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Sys) = b7b20574aeaf6b9579b0e18cd71b27d3 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Outcometree) = 674374723cd44ac1194584799175f801 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Pprintast) = 22cabe006fee76267d0ac0ee6b9c34e1 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocaml(Type_immediacy) = 64565e32358a6229bf90cc93d486536a needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(CamlinternalLazy) = 0573444d7d158417dbd5f4f46081e73b needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Arg) = 2df71eccebe0b6136a2e86c3c8daffc0 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Char) = 7cfadcb8c8da32e9f00e211aa321718b needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Format) = 983da56657d4a84e1921601ebd2ba5fd needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Pprintast) = 415d23bf2a80b9c5de837a8229dd015f needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Obj) = 23286e910874d627cdfbcadb3610dcf9 needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  - nothing provides ocamlx(Stdlib__Stream) = 13f7de0c4181fa1bd61a69535f1b123c needed by ocaml-camlp5-devel-8.00.03-4.fc38.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install ocaml-camlp5 ocaml-camlp5-devel


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Richard W.M. Jones 2023-07-13 11:55:24 UTC
Needs some new packages to be added to Fedora, see dependent bugs.

Comment 2 Fedora Fails To Install 2023-07-23 18:20:07 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 3 Jerry James 2023-08-15 18:18:40 UTC
Version 8.02.00 has been built in F39 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.